org.apache.lucene.spatial.prefix

## Class IntersectsPrefixTreeQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.spatial.prefix.AbstractPrefixTreeQuery
    - - org.apache.lucene.spatial.prefix.AbstractVisitingPrefixTreeQuery
      - - org.apache.lucene.spatial.prefix.IntersectsPrefixTreeQuery

    public class IntersectsPrefixTreeQuery
    extends AbstractVisitingPrefixTreeQuery

A Query matching documents that have an `SpatialRelation.INTERSECTS` (i.e. not DISTINCT) relationship with a provided query shape.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.spatial.prefix.AbstractVisitingPrefixTreeQuery

`AbstractVisitingPrefixTreeQuery.VisitorTemplate, AbstractVisitingPrefixTreeQuery.VNode`

### Nested classes/interfaces inherited from class org.apache.lucene.spatial.prefix.AbstractPrefixTreeQuery

`AbstractPrefixTreeQuery.BaseTermsEnumTraverser`

### Field Summary

### Fields inherited from class org.apache.lucene.spatial.prefix.AbstractVisitingPrefixTreeQuery

`prefixGridScanLevel`

### Fields inherited from class org.apache.lucene.spatial.prefix.AbstractPrefixTreeQuery

`detailLevel, fieldName, grid, queryShape`

### Constructor Summary

Constructors
Constructor and Description
`IntersectsPrefixTreeQuery(org.locationtech.spatial4j.shape.Shape queryShape, String fieldName, SpatialPrefixTree grid, int detailLevel, int prefixGridScanLevel)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected DocIdSet` `getDocIdSet(LeafReaderContext context)`
`String` `toString(String field)`

### Methods inherited from class org.apache.lucene.spatial.prefix.AbstractPrefixTreeQuery

`createWeight, equals, hashCode, visit`

### Methods inherited from class org.apache.lucene.search.Query

`classHash, rewrite, sameClassAs, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IntersectsPrefixTreeQuery

    public IntersectsPrefixTreeQuery(org.locationtech.spatial4j.shape.Shape queryShape,
                                     String fieldName,
                                     SpatialPrefixTree grid,
                                     int detailLevel,
                                     int prefixGridScanLevel)

### Method Detail

#### getDocIdSet

    protected DocIdSet getDocIdSet(LeafReaderContext context)
                            throws IOException

Specified by:
  `getDocIdSet` in class `AbstractPrefixTreeQuery`
Throws:
  `IOException`

#### toString

    public String toString(String field)

Specified by:
  `toString` in class `Query`